/* Import Open Sans */

@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital@1&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@1,700&display=swap');

/* Main Setup */

body {
  background-color: black;
  font-family: "Open Sans", Verdana, Geneva, Tahoma, sans-serif;
  font-size: 16px;
  color: white;
  overflow-wrap: break-word;
  word-wrap: break-word;
  position: relative;
  user-select: 'text'
}

/* Da Linkys */

a:link {
  color: orchid;
}

a:visited {
  color: mediumslateblue;
}

a:active {
  color: lavender;
}

button {
  background-color: #444;
  border: solid;
  border-color: white;
  border-width: 3px;
  font-family: "Open Sans", Verdana, Geneva, Tahoma, sans-serif;
  color: white;
}

button:active {
  background-color: black;
}

table {
  table-layout: fixed;
  width: 100%;
}

td, th {
  width: max-content;
  padding-left: 10px;
  padding-right: 10px;
  text-align: left;
}

/* Title Div */

#title {
  position: sticky;
  top: 0;
  background-color: darkmagenta;
  color: white;
  height: 11%;
  max-height: 11%;
  border: solid;
  border-color: white;
  border-width: 1px;
  width: 100%;
  min-width: 100%;
  vertical-align: middle;

  display: flex;
  justify-content: left;
  align-items: center;
  flex-direction: row;

  z-index: 3;
}

#name {
  font-weight: bold;
  width: 22%;
  min-width: max-content;
}

#sectionname {
  font-weight: bold;
  width: 22%;
  min-width: 22%;
  text-align: right;
}

#navbar {
  width: 55%;
}

#menu-button {
  vertical-align: middle;
  width: fit-content;
}

.ribbon-crunch {
  display: none;
  width: 50%;
}

.ribbon-main {
  display: inline-block;
}

.ribbon {
  padding: 1%;
  vertical-align: middle;
}

.ribbon a {
  display: inline;
  width: max-content;
  padding: 2%;
  font-weight: normal;
  text-decoration: none;
  color: white;
}

.ribbon a:hover {
  background-color: #666;
}

.dropdown {
  display: inline-flex;
  overflow: hidden;
  width: fit-content;
}

.dropdown-content {
  position: absolute;
  top: 100%;
  background-color: #444;
  border: solid;
  border-color: white;
  border-radius: 1px;
  width: fit-content;
  padding: 1%;
  padding-right: 2%;
  z-index: 4;
}

.dropdown-content a {
  float: none;
  width: 110%;
  padding: 3%;
  display: block;
  text-align: left;
}

.dropdown-content a:hover {
  background-color: #666;
}

.dropdown:hover .dropdown-content {
  display: block;
}

#name {
  width: 22%;
}

#main-ribbon {
  width: 55%;
}

#sectionname {
  display: block;
  width: auto;
  float: right;
  justify-content: right;
  text-align: right;
  padding: 1%;
}

.ribbon img {
  width: 22px;
  height: 22px;
  vertical-align: middle;
  object-fit: cover;
}

/* Side Menu Div */

#menu {
  position: sticky;
  top: 0;
  height: 100%;
  min-height: 100%;
  width: 100%;
  min-width: 100%;
  z-index: 4;
  text-align: left;
}

#sidebar-ribbon {
  position: fixed;
  height: 100%;
  width: 180px;
  border: solid;
  border-color: white;
  background-color: darkmagenta;
  z-index: 5;
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
}

#sectionname-menu-wrapper {
  font-weight: bold;
  padding: 10%;
  width: 180px;
  box-sizing: border-box;
}

#navbar-menu {
  display: flex;
  flex-direction: column;
  width: 180px;
  box-sizing: border-box;
}

#navbar-menu a, #navbar-menu span {
  padding: 10%;
  padding-top: 5%;
  padding-bottom: 5%;
  width: 99%;
  box-sizing: border-box;
}

#navbar-menu a:hover {
  background-color: #666;
}

#about-sublist {
  display: flex;
  flex-direction: column;
  padding-left: 10%;
  width: 100%;
  box-sizing: border-box;
}

#about-sublist a {
  width: 99%;
  box-sizing: border-box;
}

#decolourbox {
  position: fixed;
  height: 100%;
  width: 100%;
  background-color: black;
  opacity: 0.8;
  z-index: 4;
}

/* Central Text Div */

.flexdiv {
  display: -webkit-flex;
  display: flex;
  min-height: 100%;
  flex-direction: row;
  align-items: stretch;
  z-index: 1;
}

.flexdiv img {
  object-fit: scale-down;
  width: 100%;
  height: auto;
}

.flexdiv object {
  object-fit: scale-down;
  width: 100%;
  height: 600px;
}

.centerdiv {
  background-color: #444;
  position: relative;
  display: block;
  display:inline-block;
  padding: 1%;
  box-sizing: border-box;
  height: auto;
  z-index: 1;
}

#centre {
  padding: 2%;
  width: 67%;
  margin-left: 11%;
}

#centreext {
  padding: 2%;
  width: 78%;
  margin-left: 11%;
}

#sidebar {
  width: 11%;
  border-left: solid;
  border-left-color: white;
  border-left-width: 1px;
}

/* Footer Div (constant in all webpages) */

.footer-wrapper {
  min-height: max-content;
  position: relative;
  bottom: 0;
  top: inherit;
  border-top: solid;
  border-top-color: white;
  border-top-width: 1px;
  z-index: 1;
}

.footer {
  min-height: 100%;
  background-color: #666;
  display: block;
  padding: 1%;
  margin: 0%;
  justify-content: center;
  text-align: center;
  position: relative;
}